summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author core <eroc@linuxmail.org>2010-05-13 00:39:19 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:39:19 +0200
commite9578510107b963ea1a2197f76f40b8dcf39006a (patch)
tree73170812e86fbdb6d5b4273d5a39a6efd9965397 /office
parent8389a1185f33cc399d7df58bd8788c92af265e5a (diff)
downloadslackbuilds-e9578510107b963ea1a2197f76f40b8dcf39006a.tar.gz
slackbuilds-e9578510107b963ea1a2197f76f40b8dcf39006a.tar.xz
office/lyx: Updated for version 1.6.3
Diffstat (limited to 'office')
-rw-r--r--office/lyx/README17
-rw-r--r--office/lyx/lyx.SlackBuild88
-rw-r--r--office/lyx/lyx.info13
-rw-r--r--office/lyx/slack-desc18
4 files changed, 49 insertions, 87 deletions
diff --git a/office/lyx/README b/office/lyx/README
index 82c91646b8..b000664a54 100644
--- a/office/lyx/README
+++ b/office/lyx/README
@@ -1,7 +1,4 @@
-LyX is a document processor that encourages an approach to
-writing based on the structure of your documents, not their
-appearance. It is released under a Free Software / Open Source
-license.
+LyX - A WYSIWYM document processor.
LyX is for people that write and want their writing to look great,
right out of the box. No more endless tinkering with formatting
@@ -9,15 +6,3 @@ details, 'finger painting' font attributes or futzing around with
page boundaries. You just write. In the background, Prof. Knuth's
legendary TeX typesetting engine makes you look good.
-On screen, LyX looks like any word processor; its printed output
--- or richly cross-referenced PDF, just as readily produced --
-looks like nothing else. Gone are the days of industrially bland
-.docs, all looking similarly not-quite-right, yet coming out
-unpredictably different on different printer drivers. Gone are the
-crashes 'eating' your dissertation the evening before going to press.
-
-Please note that Lyx 1.5.x will not be available until Slackware ships with
-QT4, or until more Lyx frontends are released (at the moment, the only
-frontend is for QT 4).
-
-Thank you
diff --git a/office/lyx/lyx.SlackBuild b/office/lyx/lyx.SlackBuild
index f688a211ae..d576b93274 100644
--- a/office/lyx/lyx.SlackBuild
+++ b/office/lyx/lyx.SlackBuild
@@ -1,81 +1,63 @@
#!/bin/sh
-# Slackware build script for LyX
+# Slackware build script for lyx
-# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
-# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
-
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by the SlackBuilds.org project
-set -e
+# Written by core (eroc@linuxmail.org)
+# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=lyx
-VERSION=1.4.5.1
+VERSION=${VERSION:-1.6.3}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
-
-# Possible frontends: qt (default), xforms, gtk (experimental)
-# qt is selected by default as it is the only one that will build
-# on a vanilla Slackware box. Check the LyX docs if you need/want
-# the xforms or gtk frontends
-
-_FRONTEND=${_FRONTEND:-qt}
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --enable-shared \
- --with-frontend=${_FRONTEND} \
- --with-qt-dir=/usr/lib/qt \
- --with-program-prefix="" \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared=yes \
--with-aspell \
--with-ispell \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -87,21 +69,13 @@ make install DESTDIR=$PKG || exit 1
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-( cd $PKG/usr/doc/$PRGNAM-$VERSION
- for i in doc examples; do ln -s ../../share/lyx/$i . ; done
-)
-cp -a ABOUT-NLS ANNOUNCE COPYING ChangeLog INSTALL* NEWS README* \
- RELEASE-NOTES UPGRADING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS ANNOUNCE COPYING INSTALL* NEWS README* \
+ RELEASE-NOTES UPGRADING $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/lyx/lyx.info b/office/lyx/lyx.info
index 95c2ed4d06..ff57f6c4cf 100644
--- a/office/lyx/lyx.info
+++ b/office/lyx/lyx.info
@@ -1,8 +1,11 @@
PRGNAM="lyx"
-VERSION="1.4.5.1"
+VERSION="1.6.3"
HOMEPAGE="http://www.lyx.org"
-DOWNLOAD="ftp://ftp.lyx.org/pub/lyx/stable/1.4.x/lyx-1.4.5.1.tar.bz2"
-MD5SUM="b74d82e80c49c7edb782ec7395b7ca27"
-MAINTAINER="Michiel van Wessem"
-EMAIL="michiel@slackbuilds.org"
+DOWNLOAD="ftp://ftp.lyx.org/pub/lyx/stable/1.6.x/lyx-1.6.3.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="2160e371b1090aff684e0b0de0715c83"
+MD5SUM_x86_64=""
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
APPROVED="rworkman"
+
diff --git a/office/lyx/slack-desc b/office/lyx/slack-desc
index e01f517c83..26a4c366d8 100644
--- a/office/lyx/slack-desc
+++ b/office/lyx/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-lyx: LyX (a document processor)
+lyx: LyX (WYSIWYM document processor)
lyx:
-lyx: LyX is a document processor that encourages an approach to writing
-lyx: based on the structure of your documents, not their appearance. It
-lyx: is released under a Free Software / Open Source license.
lyx: LyX is for people that write and want their writing to look great,
-lyx: right out of the box. No more endless tinkering with formatting det-
-lyx: ails,'fingerpainting' font attributes or futzing around with page
-lyx: boundaries.You just write. In the background, Prof. Knuth's legendary
-lyx: TeX typesetting engine makes you look good.
-lyx: \ No newline at end of file
+lyx: right out of the box. No more endless tinkering with formatting
+lyx: details, 'finger painting' font attributes or futzing around with
+lyx: page boundaries. You just write. In the background, Prof. Knuth's
+lyx: legendary TeX typesetting engine makes you look good.
+lyx:
+lyx: Homepage: http://www.lyx.org
+lyx:
+lyx: